albums:
- catalog: BL9920766
  classifications:
  - Soundtrack
  date: '2023-11-01'
  link: album/134042
  reprint: false
  titles:
    en: Alien Hominid Invasion Game OST
    ja: Alien Hominid Invasion Game OST
    ja-latn: Alien Hominid Invasion Game OST
  type: game
description: ''
franchises:
- link: product/20102
  names:
    en: Alien Hominid
    ja: Alien Hominid
    ja-latn: Alien Hominid
link: product/20103
meta:
  added_date: 2025-03-21T14:12
  edited_date: 2025-03-21T14:12
  fetched_date: 2025-12-07T15:27
  ttl: 86400
  visitors: 163
name: Alien Hominid Invasion
organizations: []
picture_full: https://media.vgm.io/products/30/20103/20103-1742595156.png
picture_small: https://thumb-media.vgm.io/products/30/20103/20103-1742595156.png
release_date: '2023-11-01'
releases:
- date: '2023-11-01'
  link: release/32461
  names:
    en: Alien Hominid Invasion
    ja: Alien Hominid Invasion
    ja-latn: Alien Hominid Invasion
  platform: PC
  region: Worldwide
- date: '2023-11-01'
  link: release/32462
  names:
    en: Alien Hominid Invasion
    ja: Alien Hominid Invasion
    ja-latn: Alien Hominid Invasion
  platform: Microsoft Xbox One
  region: Worldwide
- date: '2023-11-01'
  link: release/32463
  names:
    en: Alien Hominid Invasion
    ja: Alien Hominid Invasion
    ja-latn: Alien Hominid Invasion
  platform: Microsoft Xbox Series X
  region: Worldwide
- date: '2023-11-01'
  link: release/32464
  names:
    en: Alien Hominid Invasion
    ja: Alien Hominid Invasion
    ja-latn: Alien Hominid Invasion
  platform: Nintendo Switch
  region: Worldwide
type: Game
vgmdb_link: https://vgmdb.net/product/20103?perpage=99999
websites:
  Interview: []
  Official: []
